@import url("./nav.css");
@import url("./jobsList.css");
@import url("./authModal.css");
@import url("./createJobDialog.css");
@import url("./landing.css");
@import url("./jobDetailModal.css");
@import url("./myAccountModal.css");
@import url("./footer.css");
@import url("./loadingModal.css");
@import url("./historyView.css");

/* Color palette */
:root {
	--job-card-green: #dff5df;
	--lightgreen: #a8d5ba;
	--forestgreen: #2e6f40;
	--brown: #654321;
	--orangebrown: #d4892a;
	--palebrown: #ffccaa50;
	--publicpink: #fbced2;
	/* --donepurple: #6a0dad; */
	--donepurple: #590396;
	--ownerblue: #0e00ff;
	/* --ownerblue: #3300b5; */
}

* {
	border: none;
	padding: none;
	margin: 0;
	box-sizing: border-box;
}

html,
body {
	height: 100%;
	background-color: #65432130;
}

body {
	font-family:
		-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu,
		Cantarell, sans-serif;
}

#app-shell {
	display: flex;
	flex-direction: column;
	height: 100%;
}

#app {
	flex: 1 1 0;
	overflow: hidden;
	min-height: 0;
	height: 100%;
}
/* MODAL ROOT */
#modal-root {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	pointer-events: none; /* Allow clicks to pass through when no modal is open */
	z-index: 1000; /* Ensure modals appear above other content */
}

/* Utility class you already use in HTML */
.is-hidden {
	display: none !important;
}
.is-invisible {
	visibility: hidden !important;
}
